"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Form = void 0;
const react_1 = __importDefault(require("react"));
const react_hook_form_1 = require("react-hook-form");
const react_native_1 = require("react-native");
const tiny_invariant_1 = __importDefault(require("tiny-invariant"));
function Form(props) {
    const { onSubmit, onFail, methods } = props;
    if (!onSubmit && react_native_1.Platform.OS === 'web') {
        (0, tiny_invariant_1.default)('Prop `onSubmit` should be a function when run on the web platform');
    }
    return (react_1.default.createElement(react_hook_form_1.FormProvider, Object.assign({}, methods), react_native_1.Platform.OS === 'web' ? (react_1.default.createElement("form", { onSubmit: methods.handleSubmit(onSubmit, onFail) }, props.children)) : (props.children)));
}
exports.Form = Form;
