import React from 'react';
import { FieldValues, SubmitErrorHandler, SubmitHandler, UseFormHandleSubmit, UseFormReturn } from 'react-hook-form';
import { Nullable } from '@procyon/types';
type N<FD> = Nullable<Partial<FD>>;
export type FormProps<FD extends FieldValues> = {
    children: React.ReactNode;
    methods: Omit<UseFormReturn<N<FD>>, 'handleSubmit'> & {
        handleSubmit: UseFormHandleSubmit<FD, any>;
    };
    onFail?: SubmitErrorHandler<FD>;
    onSubmit?: SubmitHandler<FD>;
};
export declare function Form<FD extends FieldValues>(props: Readonly<FormProps<FD>>): React.JSX.Element;
export {};
